Method: accounts.updateNotificationSetting

アカウントの Pub/Sub 通知設定を設定し、Pub/Sub 通知を送信するトピックを Google に通知します。notificationSetting 内の notificationTypes フィールドを使用して、アカウントが登録するイベントを操作します。

アカウントに設定できる通知設定リソースは 1 つのみで、設定できる Pub/Sub トピックも 1 つのみです。設定を削除するには、空の notificationTypes で更新します

HTTP リクエスト

PATCH https://mybusinessnotifications.googleapis.com/v1/{notificationSetting.name=accounts/*/notificationSetting}

この URL は gRPC Transcoding 構文を使用します。

パスパラメータ

パラメータ
notificationSetting.name

string

必須。この設定の対象となるリソース名。これは accounts/{account_id}/notificationSetting の形式です。

クエリ パラメータ

パラメータ
updateMask

string (FieldMask format)

必須。更新が必要なフィールド。編集可能なフィールドは notificationSetting のみです。

完全修飾フィールド名のカンマ区切りリスト。例: "user.displayName,photo"。

リクエストの本文

リクエストの本文には NotificationSetting のインスタンスが含まれます。

レスポンスの本文

成功した場合、レスポンスの本文には NotificationSetting のインスタンスが含まれます。

認可スコープ

次の OAuth スコープが必要です。

  • https://www.googleapis.com/auth/business.manage

詳細については、OAuth 2.0 Overview をご覧ください。